import request from '@/utils/request'

// 查询质量月报S5012列表
export function listS5012(query) {
  return request({
    url: '/production/s5012/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S5012详细
export function getS5012(id) {
  return request({
    url: '/production/s5012/' + id,
    method: 'get'
  })
}

// 新增质量月报S5012
export function addS5012(data) {
  return request({
    url: '/production/s5012',
    method: 'post',
    data: data
  })
}

// 修改质量月报S5012
export function updateS5012(data) {
  return request({
    url: '/production/s5012',
    method: 'put',
    data: data
  })
}

// 删除质量月报S5012
export function delS5012(id) {
  return request({
    url: '/production/s5012/' + id,
    method: 'delete'
  })
}

// 导出质量月报S5012
export function exportS5012(query) {
  return request({
    url: '/production/s5012/export',
    method: 'get',
    params: query
  })
}